Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateBudget/FrmEstimateBudgetAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateBudget/FrmEstimateBudgetAuxiliary.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateBudget/FrmEstimateBudgetAuxiliary.cs	(revision 352)
@@ -414,7 +414,8 @@
                 strSQL.Append(DetailDB.CreatePrimarykeyString(m_ConstructionCode));
                 strSQL.Append(" And (");
                 int i = 0;
-                foreach (int Comp in ClsCommonCosts.s_BiddingCode)
+                //foreach (int Comp in ClsComCostsStatic.s_BiddingCode)
+                foreach (int Comp in m_CommonCosts.BiddingCode)
                 {
                     if (i != 0) strSQL.Append(" Or");
                     strSQL.AppendFormat(" ComponentCode = {0}", Comp);
@@ -457,7 +458,7 @@
                     // 行追加
                     iLineCnt = dgv.Rows.Add(1);
                     // 購入品は見積データが無い
-                    if (DataRec.GroupCount != (int)GroupName_EstimateBudget.PurchasePrice)
+                    if (DataRec.GroupCount != (int)GroupName.PurchasePrice)
                     {
                         // 見積データセット時は見積時金額をセット
                         dgv.Rows[iLineCnt].Cells[(int)DispGridColumn.EstimatePrice].Value = DataRec.EstimatePrice.ToString("#,0");
@@ -696,7 +697,7 @@
                 double NegotiationPrice = 0;
 
                 // 共通仮設費は計を作成する
-                if (GroupCnt == (int)GroupName_EstimateBudget.CommonTempCalcCosts || GroupCnt == (int)GroupName_EstimateBudget.CommonPileUp)
+                if (GroupCnt == (int)GroupName.CommonTempCalcCosts || GroupCnt == (int)GroupName.CommonPileUp)
                     SetCommontemprartTotal();
 
                 // グループ計を集計する（小計）
@@ -769,7 +770,7 @@
                             wrkRow.Cells[(int)DispGridColumn.NegotiationPrice].Value = G_NegotiationTotal.ToString("#,0");
 
                             // 共通仮設費は計を作成する
-                            if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName_EstimateBudget.CommonTemp)
+                            if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName.CommonTemp)
                             {
                                 SetCommontemprartTotal();
                             }
@@ -845,7 +846,7 @@
                     // 小計以外は処理しない
                     if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value) != (int)TitleDivision.Group) continue;
                     // 共通仮設費は加算しない（算定率・積み上げですでに計上しているため）
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName_EstimateBudget.CommonTemp) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName.CommonTemp) continue;
 
                     // 加算
                     if (!CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)DispGridColumn.EstimatePrice].Value))
@@ -1009,7 +1010,8 @@
                 strSQL.Append(" LEFT JOIN  COMPONENTMASTER C ON A.COMPONENTCODE = C.COMPONENTCODE");
                 strSQL.Append(" LEFT JOIN  CONSTRUCTIONITEMMASTER D ON A.ITEMCODE = D.ITEMCODE");
                 strSQL.AppendFormat(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);                                     // 対象工事のみ
-                strSQL.AppendFormat(" And A.COMPONENTCODE != {0}", ClsCommonCosts.s_CommunityCompCode);                         // 共通仮設費以外を対象にする
+                //strSQL.AppendFormat(" And A.COMPONENTCODE != {0}", ClsComCostsStatic.s_CommunityCompCode);                         // 共通仮設費以外を対象にする
+                strSQL.AppendFormat(" And A.COMPONENTCODE != {0}", m_CommonCosts.CommonTemporyPublic);                            // 共通仮設費以外を対象にする
                 strSQL.Append(" And A.MYEXPENSESFLG = 0");                                                                      // 経費を除外する
                 //strSQL.Append(" And (A.COMPANYCODE != 0");
                 strSQL.AppendFormat(" And A.COMPANYCODE != {0}",
@@ -1028,7 +1030,7 @@
                 if (arList.Count == 0) return;
 
                 // タイトルセット
-                DispTitle(GroupTitle[(int)GroupName_EstimateBudget.OutSource], (int)TitleDivision.Group);
+                DispTitle(GroupTitle[(int)GroupName.OutSource], (int)TitleDivision.Group);
 
                 // 先頭レコードブレイクキー取得
                 object[] wrkstart = (object[])arList[0];
@@ -1048,7 +1050,7 @@
                     {
                         // データ表示
                         EstimateBudgetDetail Datarec = new EstimateBudgetDetail();
-                        Datarec.GroupCount = (int)GroupName_EstimateBudget.OutSource;       // グループ番号
+                        Datarec.GroupCount = (int)GroupName.OutSource;       // グループ番号
                         Datarec.ComponentCode = iCompomentCode;                             // 構成コード
                         Datarec.ItemCode = iItemCode;                                       // 工種キー
                         Datarec.CompanyCode = BreakCode;                                    // 協力会社コード
@@ -1097,7 +1099,7 @@
                 if (dSumaryWork != 0)
                 {
                     EstimateBudgetDetail Datarec = new EstimateBudgetDetail();
-                    Datarec.GroupCount = (int)GroupName_EstimateBudget.OutSource;   // グループ番号
+                    Datarec.GroupCount = (int)GroupName.OutSource;   // グループ番号
                     Datarec.ComponentCode = iCompomentCode;                         // 構成コード
                     Datarec.CompanyCode = BreakCode;                                // 協力会社コード
                     if (CompanyName.Length != 0)
@@ -1120,8 +1122,8 @@
                 }
 
                 // 小計
-                string strDspName = GroupTitle[(int)GroupName_EstimateBudget.OutSource] + s_TotaFixlName;
-                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName_EstimateBudget.OutSource);
+                string strDspName = GroupTitle[(int)GroupName.OutSource] + s_TotaFixlName;
+                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName.OutSource);
             }
             catch (Exception ex)
             {
@@ -1148,10 +1150,11 @@
                 strSQL.Append("SELECT B.COMPONENTNAME,A.ITEMNAME,SUM(A.LINETOTAL),A.COMPONENTCODE,A.ITEMCODE");
                 strSQL.Append(" FROM ESTIMATEDATADETAIL A, COMPONENTMASTER B");
                 strSQL.AppendFormat(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);                 // 対象工事のみ
-                strSQL.AppendFormat(" AND A.COMPONENTCODE != {0}", ClsCommonCosts.s_CommunityCompCode);     // 共通仮設費以外を対象にする
+                //strSQL.AppendFormat(" AND A.COMPONENTCODE != {0}", ClsComCostsStatic.s_CommunityCompCode);     // 共通仮設費以外を対象にする
+                strSQL.AppendFormat(" AND A.COMPONENTCODE != {0}", m_CommonCosts.CommonTemporyPublic);        // 共通仮設費以外を対象にする
                 strSQL.Append(" And A.MYEXPENSESFLG = 0");                                                  // 経費を除外する
                 strSQL.AppendFormat(" And A.COMPANYCODE = {0}",
-                            CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.MyCosts].Key);       // 自社施工を除外する
+                            CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.MyCosts].Key);       // 自社施工のみ
                 strSQL.Append(" And A.COMPONENTCODE = B.COMPONENTCODE");
                 strSQL.Append(" GROUP BY B.COMPONENTNAME, A.COMPONENTCODE, A.ITEMNAME, A.ITEMCODE, A.PageCount");
                 strSQL.Append(" ORDER BY A.COMPONENTCODE, A.ITEMCODE, A.PAGECOUNT");
@@ -1163,7 +1166,7 @@
                 // 空行セット
                 if (dgvAllDisplay.RowCount > 2) InsertBlankLine(1);
                 // タイトルセット
-                DispTitle(GroupTitle[(int)GroupName_EstimateBudget.MyConstruction], (int)TitleDivision.Group);
+                DispTitle(GroupTitle[(int)GroupName.MyConstruction], (int)TitleDivision.Group);
 
                 int BreakCode = 0;
                 double dSumaryWork = 0;
@@ -1189,7 +1192,7 @@
                     iItemCode = CommonMotions.cnvInt(wrkobj[4]);
 
                     EstimateBudgetDetail Datarec = new EstimateBudgetDetail();
-                    Datarec.GroupCount = (int)GroupName_EstimateBudget.MyConstruction; // グループ番号
+                    Datarec.GroupCount = (int)GroupName.MyConstruction; // グループ番号
                     Datarec.ComponentCode = BreakCode;                  // 構成キー
                     Datarec.ItemCode = iItemCode;	                    // 工種キー
                     Datarec.FirstString = ComponentName;                // 構成名称
@@ -1203,8 +1206,8 @@
                 }
 
                 // 小計
-                string strDspName = GroupTitle[(int)GroupName_EstimateBudget.MyConstruction] + s_TotaFixlName;
-                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName_EstimateBudget.MyConstruction);
+                string strDspName = GroupTitle[(int)GroupName.MyConstruction] + s_TotaFixlName;
+                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName.MyConstruction);
             }
             catch (Exception ex)
             {
@@ -1230,7 +1233,8 @@
             {
                 StringBuilder strSQL = new StringBuilder();
                 strSQL.AppendFormat(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
-                strSQL.AppendFormat(" AND COMPONENTCODE = {0}", ClsCommonCosts.s_CommunityCompCode);    // 共通仮設費を対象にする
+                //strSQL.AppendFormat(" AND COMPONENTCODE = {0}", ClsComCostsStatic.s_CommunityCompCode);    // 共通仮設費を対象にする
+                strSQL.AppendFormat(" AND COMPONENTCODE = {0}", m_CommonCosts.CommonTemporyPublic);       // 共通仮設費を対象にする
                 strSQL.Append(" AND COMPANYCODE != 0");                                                 // 会社割当のあるものを対象
                 strSQL.Append(" ORDER BY GroupCount, LineCount");
 
@@ -1242,7 +1246,7 @@
 
                 InsertBlankLine(2);
                 // タイトルセット
-                DispTitle(GroupTitle[(int)GroupName_EstimateBudget.CommonTemp], (int)TitleDivision.Group);
+                DispTitle(GroupTitle[(int)GroupName.CommonTemp], (int)TitleDivision.Group);
 
                 double dTotal = 0;
                 int icnt = 1;
@@ -1251,8 +1255,9 @@
                 {
                     // 民間のデータセット
                     EstimateBudgetDetail Datarec = new EstimateBudgetDetail();
-                    Datarec.GroupCount = (int)GroupName_EstimateBudget.CommonTemp;                 // グループ番号
-                    Datarec.ComponentCode = ClsCommonCosts.s_CommunityCompCode;  // 構成キー
+                    Datarec.GroupCount = (int)GroupName.CommonTemp;  // グループ番号
+                    //Datarec.ComponentCode = ClsComCostsStatic.s_CommunityCompCode;     // 構成キー
+                    Datarec.ComponentCode = m_CommonCosts.CommonTemporyPublic;        // 構成キー
                     Datarec.ItemCode = DetailRec.ItemCode;	                        // 工種キー
                     Datarec.FirstString = DetailRec.ItemName;                       // 構成名称
                     Datarec.EstimatePrice = DetailRec.LineTotal;                    // 見積時金額
@@ -1263,8 +1268,8 @@
                 }
 
                 // 小計
-                string strDspName = GroupTitle[(int)GroupName_EstimateBudget.CommonTemp] + s_TotaFixlName;
-                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName_EstimateBudget.CommonTemp);
+                string strDspName = GroupTitle[(int)GroupName.CommonTemp] + s_TotaFixlName;
+                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName.CommonTemp);
             }
             catch (Exception ex)
             {
@@ -1291,7 +1296,7 @@
             {
                 InsertBlankLine(2);
                 // グリッド行タイトルセット
-                DispTitle(GroupTitle[(int)GroupName_EstimateBudget.CommonTemp], (int)TitleDivision.Group);
+                DispTitle(GroupTitle[(int)GroupName.CommonTemp], (int)TitleDivision.Group);
 
                 // 共通仮設費の固定行をセットする
                 SetPublicCommonTempFix();
@@ -1299,8 +1304,10 @@
                 // ----- 積み上げ共通仮設費
                 StringBuilder strSQL = new StringBuilder();
                 strSQL.AppendFormat(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
-                strSQL.AppendFormat(" AND COMPONENTCODE = {0}", ClsCommonCosts.s_CommunityCompCode);        // 共通仮設費を対象にする
-                strSQL.AppendFormat(" AND ITEMCODE = {0}", ClsCommonCosts.s_PileUpCommonTempory);           // 積み上げ共通仮設費を対象とする
+                //strSQL.AppendFormat(" AND COMPONENTCODE = {0}", ClsComCostsStatic.s_CommunityCompCode);        // 共通仮設費を対象にする
+                //strSQL.AppendFormat(" AND ITEMCODE = {0}", ClsComCostsStatic.s_PileUpCommonTempory);           // 積み上げ共通仮設費を対象とする
+                strSQL.AppendFormat(" AND COMPONENTCODE = {0}", m_CommonCosts.CommonTemporyPublic);           // 共通仮設費を対象にする
+                strSQL.AppendFormat(" AND ITEMCODE = {0}", m_CommonCosts.PileUpComTempoPublic);              // 積み上げ共通仮設費を対象とする
                 strSQL.Append(" AND COMPANYCODE != 0");                                                     // 会社割当のあるものを対象
                 strSQL.Append(" ORDER BY PageCount, LineCount");                                            // 見積入力と同じ並びにする
                 List<EstimateDataDetail> DetailList = new List<EstimateDataDetail>();
@@ -1308,7 +1315,7 @@
 
                 InsertBlankLine(1);
                 // 積み上げ共通仮設費タイトルセット
-                DispTitle(GroupTitle[(int)GroupName_EstimateBudget.CommonPileUp], (int)TitleDivision.Group);
+                DispTitle(GroupTitle[(int)GroupName.CommonPileUp], (int)TitleDivision.Group);
 
                 // 積み上げ共通費セット
                 int icnt = 1;
@@ -1316,8 +1323,9 @@
                 foreach (EstimateDataDetail DetailRec in DetailList)
                 {
                     EstimateBudgetDetail Datarec = new EstimateBudgetDetail();
-                    Datarec.GroupCount = (int)GroupName_EstimateBudget.CommonPileUp;    // グループ番号
-                    Datarec.ComponentCode = ClsCommonCosts.s_CommunityCompCode;         // 構成キー
+                    Datarec.GroupCount = (int)GroupName.CommonPileUp;    // グループ番号
+                    //Datarec.ComponentCode = ClsComCostsStatic.s_CommunityCompCode;         // 構成キー
+                    Datarec.ComponentCode = m_CommonCosts.CommonTemporyPublic;            // 構成キー
                     Datarec.ItemCode = DetailRec.ItemCode;	                            // 工種キー
                     Datarec.FirstString = DetailRec.ItemName;                           // 構成名称
                     Datarec.EstimatePrice = DetailRec.LineTotal;                        // 見積時金額
@@ -1328,12 +1336,12 @@
                 }
 
                 // 小計
-                string strDspName = GroupTitle[(int)GroupName_EstimateBudget.CommonPileUp] + s_TotaFixlName;
-                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName_EstimateBudget.CommonPileUp);
+                string strDspName = GroupTitle[(int)GroupName.CommonPileUp] + s_TotaFixlName;
+                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName.CommonPileUp);
 
                 // 共通仮設費計
-                strDspName = GroupTitle[(int)GroupName_EstimateBudget.CommonTemp] + s_TotaFixlName;
-                CreateTotalLine(strDspName, 0, 0, (int)TitleDivision.Group, (int)GroupName_EstimateBudget.CommonTemp);
+                strDspName = GroupTitle[(int)GroupName.CommonTemp] + s_TotaFixlName;
+                CreateTotalLine(strDspName, 0, 0, (int)TitleDivision.Group, (int)GroupName.CommonTemp);
             }
             catch (Exception ex)
             {
@@ -1359,7 +1367,7 @@
                 // ブロック計以外はいらない
                 if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value) != (int)TitleDivision.Group) continue;
                 // 共通仮設の行を探す
-                if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName_EstimateBudget.CommonTemp)
+                if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) == (int)GroupName.CommonTemp)
                 {
                     iLineCnt = wrkRow.Index;
                     break;
@@ -1371,9 +1379,9 @@
             // 見積・交渉金額を取得する
             bool GetEstimate = radioButton1.Checked;
             radioButton1.Checked = true;
-            double ETotal = GetGroupTotalFromGrid((int)GroupName_EstimateBudget.CommonTempCalcCosts) + GetGroupTotalFromGrid((int)GroupName_EstimateBudget.CommonPileUp);
+            double ETotal = GetGroupTotalFromGrid((int)GroupName.CommonTempCalcCosts) + GetGroupTotalFromGrid((int)GroupName.CommonPileUp);
             radioButton2.Checked = true;
-            double NTotal = GetGroupTotalFromGrid((int)GroupName_EstimateBudget.CommonTempCalcCosts) + GetGroupTotalFromGrid((int)GroupName_EstimateBudget.CommonPileUp);
+            double NTotal = GetGroupTotalFromGrid((int)GroupName.CommonTempCalcCosts) + GetGroupTotalFromGrid((int)GroupName.CommonPileUp);
             radioButton1.Checked = GetEstimate;
 
             // 金額セット
@@ -1400,7 +1408,7 @@
                 double dTotal2 = CalcCommonTemporary(false);
 
                 // 共通仮設算定率セット
-                DispTitle(GroupTitle[(int)GroupName_EstimateBudget.CommonTempCalcCosts], (int)TitleDivision.Group);
+                DispTitle(GroupTitle[(int)GroupName.CommonTempCalcCosts], (int)TitleDivision.Group);
 
                 // 共通仮設算定率費の行数をセットする
                 m_CommonItemLine = dgv.Rows.Count - 1;
@@ -1424,7 +1432,8 @@
 
                 strSQL.Append(", COMMONCOSTLARGE B, COMMONCOSTMIDDLE C");
                 
-                strSQL.AppendFormat(" WHERE A.LARGECODE = {0}", ClsCommonCosts.s_CommunityCompCode);
+                //strSQL.AppendFormat(" WHERE A.LARGECODE = {0}", ClsComCostsStatic.s_CommunityCompCode);
+                strSQL.AppendFormat(" WHERE A.LARGECODE = {0}", m_CommonCosts.CommonTemporyPublic);
                 strSQL.Append(" AND A.LARGECODE = B.LARGECODE");
                 strSQL.Append(" AND A.LARGECODE = C.LARGECODE");
                 strSQL.Append(" AND A.MIDDLECODE = C.MIDDLECODE");
@@ -1442,7 +1451,7 @@
                 {
                     double TotalPrice = CommonMotions.cnvDouble(wrkobj[6].ToString());
                     EstimateBudgetDetail Datarec = new EstimateBudgetDetail();
-                    Datarec.GroupCount = (int)GroupName_EstimateBudget.CommonTempCalcCosts; // グループ番号
+                    Datarec.GroupCount = (int)GroupName.CommonTempCalcCosts;                // グループ番号
                     Datarec.ComponentCode = CommonMotions.cnvInt(wrkobj[0].ToString());     // 構成キー
                     Datarec.ItemCode = CommonMotions.cnvInt(wrkobj[1].ToString());	        // 工種キー
                     Datarec.FirstString = wrkobj[3].ToString();                             // 構成名称
@@ -1457,8 +1466,8 @@
 
 
                 // 小計
-                string strDspName = GroupTitle[(int)GroupName_EstimateBudget.CommonTempCalcCosts] + s_TotaFixlName;
-                CreateTotalLine(strDspName, AllTotal, 0, (int)TitleDivision.Group, (int)GroupName_EstimateBudget.CommonTempCalcCosts);
+                string strDspName = GroupTitle[(int)GroupName.CommonTempCalcCosts] + s_TotaFixlName;
+                CreateTotalLine(strDspName, AllTotal, 0, (int)TitleDivision.Group, (int)GroupName.CommonTempCalcCosts);
 
             }
             catch (Exception ex)
@@ -1483,13 +1492,13 @@
                 // 空行セット
                 InsertBlankLine(2);
                 // タイトルセット
-                DispTitle(GroupTitle[(int)GroupName_EstimateBudget.PurchasePrice], (int)TitleDivision.Group);
+                DispTitle(GroupTitle[(int)GroupName.PurchasePrice], (int)TitleDivision.Group);
 
 
                 // データ表示
                 EstimateBudgetDetail Datarec = new EstimateBudgetDetail();
-                Datarec.GroupCount = (int)GroupName_EstimateBudget.PurchasePrice;                       // グループ番号
-                Datarec.FirstString = GroupTitle[(int)GroupName_EstimateBudget.PurchasePrice];          // 構成名称
+                Datarec.GroupCount = (int)GroupName.PurchasePrice;                       // グループ番号
+                Datarec.FirstString = GroupTitle[(int)GroupName.PurchasePrice];          // 構成名称
                 Datarec.NegotiationPrice = 0;                                                           // 交渉時金額
                 DisplayGridData(1, Datarec);
 
@@ -1500,8 +1509,8 @@
                 dgv.Rows[iLine].Cells[(int)DispGridColumn.EstimatePrice].Style.BackColor = s_CommonCalculatedValueBColor;
 
                 // 小計
-                string strDspName = GroupTitle[(int)GroupName_EstimateBudget.PurchasePrice] + s_TotaFixlName;
-                CreateTotalLine(strDspName, 0, 0, (int)TitleDivision.Group, (int)GroupName_EstimateBudget.PurchasePrice);
+                string strDspName = GroupTitle[(int)GroupName.PurchasePrice] + s_TotaFixlName;
+                CreateTotalLine(strDspName, 0, 0, (int)TitleDivision.Group, (int)GroupName.PurchasePrice);
             }
             catch (Exception ex)
             {
@@ -1525,9 +1534,12 @@
                 strSQL.Append("SELECT COMPONENTCODE, ITEMNAME, SPECNAME, PRICEVALUE, FIXEDITEMCODE");
                 strSQL.Append(" FROM ESTIMATEDATA");
                 strSQL.AppendFormat(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
-                strSQL.AppendFormat(" AND (COMPONENTCODE <> {0}", ClsCommonCosts.s_MaterialDisposal);
-                strSQL.AppendFormat(" AND COMPONENTCODE <> {0}", ClsCommonCosts.s_FieldManagementCompCode);
-                strSQL.AppendFormat(" AND COMPONENTCODE <> {0})", ClsCommonCosts.s_NormalManagementCompCode);
+                //strSQL.AppendFormat(" AND (COMPONENTCODE <> {0}", ClsComCostsStatic.s_MaterialDisposal);
+                //strSQL.AppendFormat(" AND COMPONENTCODE <> {0}", ClsComCostsStatic.s_FieldManagementCompCode);
+                //strSQL.AppendFormat(" AND COMPONENTCODE <> {0})", ClsComCostsStatic.s_NormalManagementCompCode);
+                strSQL.AppendFormat(" AND (COMPONENTCODE <> {0}", m_CommonCosts.MaterialDisposalPublic);
+                strSQL.AppendFormat(" AND COMPONENTCODE <> {0}", m_CommonCosts.FieldManagementPublic);
+                strSQL.AppendFormat(" AND COMPONENTCODE <> {0})", m_CommonCosts.NormalManagementPublic);
                 strSQL.AppendFormat(" AND InputFlg = {0}", (int)CommonDefine.DirectInput.Input);
                 strSQL.Append(" ORDER BY LineCount");
 
@@ -1540,7 +1552,7 @@
                 // 空行セット
                 InsertBlankLine(2);
                 // タイトルセット
-                DispTitle(GroupTitle[(int)GroupName_EstimateBudget.Expenss], (int)TitleDivision.Group);
+                DispTitle(GroupTitle[(int)GroupName.Expenss], (int)TitleDivision.Group);
 
                 int icnt = 1;
                 double dSumaryWork = 0;
@@ -1558,7 +1570,7 @@
                     // データ表示
                     int iItemCode = CommonMotions.cnvInt(wrkobj[4]);
                     EstimateBudgetDetail Datarec = new EstimateBudgetDetail();
-                    Datarec.GroupCount = (int)GroupName_EstimateBudget.Expenss;    // グループ番号
+                    Datarec.GroupCount = (int)GroupName.Expenss;    // グループ番号
                     Datarec.ComponentCode = CompomentCode;          // 構成キー
                     Datarec.ItemCode = iItemCode;	                // 工種キー
                     Datarec.FirstString = ComponentName;            // 構成名称
@@ -1573,8 +1585,8 @@
                 }
 
                 // 小計
-                string strDspName = GroupTitle[(int)GroupName_EstimateBudget.Expenss] + s_TotaFixlName;
-                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName_EstimateBudget.Expenss);
+                string strDspName = GroupTitle[(int)GroupName.Expenss] + s_TotaFixlName;
+                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName.Expenss);
 
             }
             catch (Exception ex)
@@ -1603,7 +1615,8 @@
                 strSQL.Append("SELECT COMPONENTCODE, ITEMNAME, SPECNAME, PRICEVALUE, FIXEDITEMCODE");
                 strSQL.Append(" FROM ESTIMATEDATA");
                 strSQL.AppendFormat(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
-                strSQL.AppendFormat(" AND COMPONENTCODE = {0}", ClsCommonCosts.s_MaterialDisposal);
+                //strSQL.AppendFormat(" AND COMPONENTCODE = {0}", ClsComCostsStatic.s_MaterialDisposal);
+                strSQL.AppendFormat(" AND COMPONENTCODE = {0}", m_CommonCosts.MaterialDisposalPublic);
                 strSQL.Append(" ORDER BY COMPONENTCODE");
 
                 ArrayList arList = new ArrayList();
@@ -1615,7 +1628,7 @@
                 // 空行セット
                 InsertBlankLine(2);
                 // タイトルセット
-                DispTitle(GroupTitle[(int)GroupName_EstimateBudget.Dispose], (int)TitleDivision.Group);
+                DispTitle(GroupTitle[(int)GroupName.Dispose], (int)TitleDivision.Group);
 
                 int icnt = 1;
                 double dSumaryWork = 0;
@@ -1634,7 +1647,7 @@
                     int iItemCode = CommonMotions.cnvInt(wrkobj[4]);
 
                     EstimateBudgetDetail Datarec = new EstimateBudgetDetail();
-                    Datarec.GroupCount = (int)GroupName_EstimateBudget.Dispose;    // グループ番号
+                    Datarec.GroupCount = (int)GroupName.Dispose;    // グループ番号
                     Datarec.ComponentCode = CompomentCode;          // 構成キー
                     Datarec.ItemCode = iItemCode;	                // 工種キー
                     Datarec.FirstString = ComponentName;            // 構成名称
@@ -1648,8 +1661,8 @@
                 }
 
                 // 小計
-                string strDspName = GroupTitle[(int)GroupName_EstimateBudget.Dispose] + s_TotaFixlName;
-                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName_EstimateBudget.Dispose);
+                string strDspName = GroupTitle[(int)GroupName.Dispose] + s_TotaFixlName;
+                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName.Dispose);
 
             }
             catch (Exception ex)
@@ -1690,7 +1703,7 @@
                 // 空行セット
                 InsertBlankLine(2);
                 // タイトルセット
-                DispTitle(GroupTitle[(int)GroupName_EstimateBudget.Fraction], (int)TitleDivision.Group);
+                DispTitle(GroupTitle[(int)GroupName.Fraction], (int)TitleDivision.Group);
 
                 DataGridView dgv = dgvAllDisplay;
                 int icnt = 1;
@@ -1710,7 +1723,7 @@
                     int iItemCode = CommonMotions.cnvInt(wrkobj[4]);
 
                     EstimateBudgetDetail Datarec = new EstimateBudgetDetail();
-                    Datarec.GroupCount = (int)GroupName_EstimateBudget.Dispose;    // グループ番号
+                    Datarec.GroupCount = (int)GroupName.Fraction;   // グループ番号
                     Datarec.ComponentCode = CompomentCode;          // 構成キー
                     Datarec.ItemCode = iItemCode;	                // 工種キー
                     Datarec.FirstString = ComponentName;            // 構成名称
@@ -1728,8 +1741,8 @@
                 }
 
                 // 小計
-                string strDspName = GroupTitle[(int)GroupName_EstimateBudget.Fraction] + s_TotaFixlName;
-                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName_EstimateBudget.Fraction);
+                string strDspName = GroupTitle[(int)GroupName.Fraction] + s_TotaFixlName;
+                CreateTotalLine(strDspName, dTotal, dTotal, (int)TitleDivision.Group, (int)GroupName.Fraction);
 
             }
             catch (Exception ex)
@@ -1752,20 +1765,46 @@
             try
             {
                 int ExecNo = -1;
-                bool bDataExist = false;
-                for (int i = 0; i < ClsCommonCosts.s_ConstructionType.GetLength(0); i++)
+                bool bNRChk = false;
+                //for (int i = 0; i < ClsComCostsStatic.s_ConstructionType.GetLength(0); i++)
+                //{
+                //    for (int ii = 0; ii < ClsComCostsStatic.s_ConstructionType.GetLength(i); ii++)
+                //    {
+                //        if (m_ConstructionBaseInfo.ConstructionType == ClsComCostsStatic.s_ConstructionType[i, ii])
+                //        {
+                //            ExecNo = i;
+                //            bDataExist = true;
+                //            break;
+                //        }
+                //    }
+                //    if (bDataExist) break;
+                //}
+
+                // 公共工事判定（新設）
+                foreach (int nCode in m_CommonCosts.CreateConstrType)
                 {
-                    for (int ii = 0; ii < ClsCommonCosts.s_ConstructionType.GetLength(i); ii++)
+                    if (nCode == m_ConstructionBaseInfo.ConstructionType)
                     {
-                        if (m_ConstructionBaseInfo.ConstructionType == ClsCommonCosts.s_ConstructionType[i, ii])
+                        ExecNo = (int)FrmCostCalculation.ProcessNo.Process1;
+                        bNRChk = true;
+                        break;
+                    }
+                }
+
+                if (!bNRChk)
+                {
+                    // 公共工事判定（改修）
+                    foreach (int nCode in m_CommonCosts.RepairConstrType)
+                    {
+                        if (nCode == m_ConstructionBaseInfo.ConstructionType)
                         {
-                            ExecNo = i;
-                            bDataExist = true;
+                            ExecNo = (int)FrmCostCalculation.ProcessNo.Process2;
+                            bNRChk = true;
                             break;
                         }
                     }
-                    if (bDataExist) break;
                 }
+
                 return ExecNo;
             }
             catch (Exception ex)
